[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: python-2.5 is messed up, no _sha256 constructor available, two copies installed?



On Mon, 2007-05-21 at 03:45 -0400, G.Wolfe Woodbury wrote:
> The current rawhide is not installable due to a python error.
> 
> It reports that the module _sha256 is not available or not installed
> correctly.  _sha256 is the constructor for sha256 and is provided by hashlib.py
> which is in the main python package.

Actually, the sha* bits are normally handled via openssl.  The short
reason is that krb5-libs grew a dep and anaconda's scripts for creating
the second stage didn't know about it.  Fixed in CVS and the anaconda
that's building now...

> My F7 test boxes are currently trashed due to the problem.  On them *both* the -11 and
> -12 packages are installed!   How this happend I'm not sure, but it was while trying to
> solve the kdebase/kde-settings problem that it happened.

But that shouldn't impact an installed system.  Do you have keyutils-libs installed?

Jeremy


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]